package com.ffii.lioner.modules.lioner.entity;

import java.util.List;

import jakarta.persistence.Entity;

public class ImpAward extends Award {
    
    //For import use
    private Long tempId;

    private List<Long> tempSubDivIdList;

    private List<Long> tempChannelIdList;

    private String tempExternalLink;
    
    public Long getTempId() {
        return this.tempId;
    }

    public void setTempId(Long tempId) {
        this.tempId = tempId;
    }

    public List<Long> getTempSubDivIdList() {
        return this.tempSubDivIdList;
    }

    public void setTempSubDivIdList(List<Long> tempSubDivIdList) {
        this.tempSubDivIdList = tempSubDivIdList;
    }

    public List<Long> getTempChannelIdList() {
        return this.tempChannelIdList;
    }

    public void setTempChannelIdList(List<Long> tempChannelIdList) {
        this.tempChannelIdList = tempChannelIdList;
    }

    public String getTempExternalLink() {
        return this.tempExternalLink;
    }

    public void setTempExternalLink(String tempExternalLink) {
        this.tempExternalLink = tempExternalLink;
    }
}